Skip to content

getPayment

READ

Get payment.

POST /api/v1/invoicing/getPayment
curl -X POST '<your-host>/api/v1/invoicing/getPayment' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "bankAccount": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "currencyCode": "string",
  "customerId": "string",
  "customFields": "…",
  "exchangeRate": 0,
  "id": "string",
  "journalId": "string",
  "memo": "string",
  "paymentDate": "string",
  "paymentId": "string",
  "paymentType": "Receipt",
  "postedAt": "string",
  "postedBy": "string",
  "postingDate": "string",
  "reference": "string",
  "status": "Draft",
  "supplierId": "string",
  "totalAmount": 0,
  "updatedAt": "string",
  "updatedBy": "string",
  "voidedAt": "string",
  "voidedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}